# GET /v4/rewards/recipients/count

_Merkl API_

Returns the number of distinct recipients that earned rewards in a given campaign. A recipient earning under several reasons counts once.

### Query parameters

- `page` (string | number): 0-indexed page number
- `items` (string | number): Number of items returned by page
- `chainId` (string | number) _(required)_: Distribution chain ID (numeric, e.g. `1` for Ethereum). See [ID types](/integrate-merkl/id-types).
- `campaignId` (string) _(required)_: **On-chain campaign ID** (32-byte hex hash, e.g. `0x93cf385c2a446a7596820601caf25e63bfc4939efa9a89a6f21563b58ee54eb1`). NOT the internal `Campaign.id` (numeric hash). See [ID types](/integrate-merkl/id-types).
- `hide` (boolean): If true, hides creator and admin from the results.

## Example request

```bash
curl -X GET "https://api.merkl.xyz//v4/rewards/recipients/count?chainId=<chainId>&campaignId=<campaignId>" \
  -H "x-api-key: YOUR_API_KEY"
```